public class GameLoop {
    int activePlayer = 0;

    Player player1;
    Player player2;

    boolean wasSmthTracked = false;

    public GameLoop(){
        player1 = new Player(0, "ip", 9000);
        player2 = new Player(1, "ip", 9000);
        run();
    }

    private void run(){
        while(true){
            communicate();
            if(!wasSmthTracked) {
                track();
            }
            draw();
        }
    }

    private void communicate() {
        if(wasSmthTracked){
            //Beide sollen ausgehen
            player1.sendToCar(0, 0.0, 0.0);
            player2.sendToCar(0, 0.0, 0.0);
            activePlayer++;
        } else {
            //Schicke die Nachrichten fürs angehen
            activePlayer = activePlayer%2;
            if (activePlayer == 0){
                player1.sendToCar(1, 0.0, 0.0);
                player2.sendToCar(0, 0.0, 0.0);
            }
            else {
                player1.sendToCar(0, 0.0, 0.0);
                player2.sendToCar(1, 0.0, 0.0);
            }
        }
    }

    private void track(){
        //suche Lampe
        //Wenn geklappt, setze wasSmthTracked auf true
    }

    private void draw(){
        //Schicke für active Player letzte Koordinaten
    }
}
